.location-tabs {
  --navIconSize: 35px;
  -ms-flex-direction: column;
      flex-direction: column;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
}

.location-tabs__tabs {
  --gap: 5px;
  --padding: 20px;
  background: rgb(var(--color-light));
  border: 1px;
  border-color: #EBE5D9;
  border-style: solid;
  border-radius: 50px;
  border-width: 1px 1px 1px 1px;
  position: relative;
  overflow: hidden;
  display: table;
  margin-bottom: 20px;
  display: -ms-inline-flexbox;
  display: inline-flex;
  max-width: 100%;
}
.location-tabs__tabs:after, .location-tabs__tabs:before {
  content: "";
  position: absolute;
  top: 0;
  width: 35px;
  height: 100%;
  z-index: 1;
}
.location-tabs__tabs:after {
  background-image: linear-gradient(to right, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.9) 100%);
  right: 0;
}
.location-tabs__tabs:before {
  background-image: linear-gradient(to left, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.9) 100%);
  left: 0;
}

.location-tabs__tabs-wrap {
  font-weight: 600;
  overflow-x: scroll;
  position: relative;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.location-tabs__tabs-scroll {
  display: -ms-flexbox;
  display: flex;
  gap: var(--gap);
  padding: var(--padding) 0;
}
.location-tabs__tabs-scroll:before, .location-tabs__tabs-scroll:after {
  -ms-flex-negative: 0;
      flex-shrink: 0;
  content: "";
  display: block;
  width: 15px;
}

.location-tabs__tab {
  border: 1px solid transparent;
  border-radius: 50px;
  cursor: pointer;
  padding: 15px 13px;
  text-align: center;
  white-space: nowrap;
}
.location-tabs__tab.is-active {
  background: #F2EEE4;
  border: 1px solid #EBE5D9;
}

.location-tabs__slides {
  position: relative;
}
.location-tabs__slides:after {
  content: "";
  display: block;
  clear: both;
}

.location-tabs__slide {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  float: left;
  gap: 15px;
  margin-right: -100%;
  opacity: 0;
  transition: 300ms opacity ease, 300ms visibility linear 300ms;
  width: 100%;
  visibility: hidden;
}
.location-tabs__slide.is-active {
  visibility: visible;
  opacity: 1;
  transition: 300ms opacity ease, 300ms visibility linear 0ms;
}

.location-tabs__slide-col {
  border: 1px solid #EBE5D9;
  border-radius: 20px;
  overflow: hidden;
}
.location-tabs__slide-col[data-type=content] {
  background: rgb(var(--color-light));
  padding: 4vw;
}
.location-tabs__slide-col[data-type=image] img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.location-tabs__nav {
  display: -ms-flexbox;
  display: flex;
}

.location-tabs__nav-item {
  background: white;
  overflow: hidden;
  color: rgb(var(--color-primary));
  cursor: pointer;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  border-radius: 100px;
}
.location-tabs__nav-item .icon {
  display: block;
}
.location-tabs__nav-item svg {
  height: var(--navIconSize);
  width: var(--navIconSize);
}
.location-tabs__nav-item[data-dir=prev] {
  left: calc(var(--navIconSize) / 2 * -1);
}
.location-tabs__nav-item[data-dir=prev] svg {
  transform: rotate(-180deg);
}
.location-tabs__nav-item[data-dir=next] {
  right: calc(var(--navIconSize) / 2 * -1);
}

@media (max-width: 991.96px) {
  .location-tabs__nav-item {
    top: calc(var(--contentHeight) / 2 - var(--navIconSize) / 2);
    transform: translateY(0);
  }
}
@media (min-width: 992px) {
  .location-tabs {
    --navIconSize: 40px;
  }
  .location-tabs__tabs {
    font-size: calc(20 / var(--base) * 1rem);
    margin-bottom: 50px;
  }
  .location-tabs__slide {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: row;
        flex-direction: row;
    gap: 35px;
  }
  .location-tabs__slide-col {
    border-radius: 50px;
  }
  .location-tabs__slide-col[data-type=content] {
    -ms-flex-negative: 0;
        flex-shrink: 0;
    padding: 4vw;
    width: 45%;
  }
  .location-tabs__slide-col[data-type=image] {
    -ms-flex-positive: 100;
        flex-grow: 100;
  }
}
